# See docs/examples
# http://doc.gitlab.com/ce/ci/quick_start/README.html
# http://doc.gitlab.com/ce/ci/yaml/README.html
stages:
  - build
  - deploy
  
image: golang:1.17.8-alpine

compile-go:
  stage: build
  variables:
    GO111MODULE: 'off'
  script:
    - apk add --no-cache git
    - cd /builds/nattaphat.la/rancher-gen-rap
    - go get github.com/sirupsen/logrus
    - go get github.com/BurntSushi/toml
    - go get github.com/rancher/go-rancher-metadata/metadata
    - go build -ldflags "-X 'main.Version=RAP Edition $CI_BUILD_REF_NAME' -X main.GitSHA=$CI_BUILD_REF"
    - ./rancher-gen-rap --version
    - mv rancher-gen-rap rancher-gen
  artifacts:
    paths:
    - "rancher-gen"
    name: "Rancher-Gen-RAP"
    
rebuild-rap:
    stage: deploy
    script:
        - apk add --no-cache curl
        - curl -X POST -F token=$TOKEN_RAP -F ref=$CI_BUILD_REF_NAME https://gitlab.com/api/v3/projects/2203465/trigger/builds